Post V271 Vnflcm V2 Vnf Instances Vnf Instance Id Instantiate
Instantiate VNF. The POST method instantiates a VNF instance. This method shall follow the provisions specified in the tables 5.4.4.3.1-1 and 5.4.4.3.1-2 for URI query parameters, request and response data structures, and response codes. The steps and conditions that apply as the result of successfully executing this method are specified in clause 5.4.1.2. In addition, once the VNFM has successfully completed the underlying VNF LCM operation occurrence, it shall set the "instantiationState" attribute to the value "INSTANTIATED" and the "vnfState" attribute to the value "STARTED" in the representation of the "Individual VNF instance" resource.
Identifier of the VNF instance. This identifier can be retrieved from the resource referenced by the "Location" HTTP header in the response to a POST request creating a new VNF instance resource. It can also be retrieved from the "id" attribute in the payload body of that response.
The tenant identifier
Content-Types that are acceptable for the response. Reference: IETF RFC 7231
The authorization token for the request. Reference: IETF RFC 7235
The MIME type of the body of the request. Reference: IETF RFC 7231
Version of the API requested to use when responding to this request.
Priority of the current LCM task
Parameters for the VNF instantiation.
{
"flavourId": "string",
"instantiationLevelId": "string",
"extVirtualLinks": [
{
"id": "string",
"vimConnectionId": "string",
"resourceProviderId": "string",
"resourceId": "string",
"extCps": [
{
"cpdId": "string",
"cpConfig": [
{
"cpInstanceId": "string",
"linkPortId": "string",
"cpProtocolData": [
{
"layerProtocol": "string",
"ipOverEthernet": {
"macAddress": "string",
"ipAddresses": [
{
"type": "string",
"fixedAddresses": [
"string"
],
"numDynamicAddresses": 0,
"addressRange": {
"minAddress": "string",
"maxAddress": "string"
},
"subnetId": "string"
}
]
}
}
]
}
]
}
],
"extLinkPorts": [
{
"id": "string",
"resourceHandle": {
"vimConnectionId": "string",
"resourceProviderId": "string",
"resourceId": "string",
"vimLevelResourceType": "string"
}
}
]
}
],
"extManagedVirtualLinks": [
{
"id": "string",
"vnfVirtualLinkDescId": "string",
"vimConnectionId": "string",
"resourceProviderId": "string",
"resourceId": "string"
}
],
"vimConnectionInfo": [
{
"id": "string",
"vimId": "string",
"vimType": "string",
"extra": {
"deploymentProfileId": "string",
"nodeProfileName": "string",
"nodePoolId": "string",
"nodePoolName": "string",
"vimName": "string",
"nodePoolBatchSize": 0,
"nodePools": [
"string"
]
}
}
],
"localizationLanguage": "string",
"additionalParams": {
"vduParams": [
{
"vduName": "string",
"vduId": "string",
"deploymentProfileId": "string",
"chartName": "string",
"helmName": "string",
"namespace": "string",
"repoUrl": "string",
"username": "string",
"password": "string",
"extensionId": "string",
"overrides": "string",
"metadata": [
{}
],
"imageName": "string",
"disableAutoRollback": false,
"disableGrant": false,
"disableHelmInstall": false,
"ignoreGrantFailure": false,
"timeoutInSecs": 0,
"catalogName": "string",
"catalogId": "string"
}
],
"lcmInterfaces": [
{
"interfaceName": "string",
"parameters": [
{
"name": "string",
"type": "string"
}
]
}
],
"entityPrefix": "string",
"useVAppTemplates": false,
"catalogName": "string",
"catalogId": "string",
"skipGrant": false,
"ignoreGrantFailure": false,
"disableAutoRollback": false,
"disableGrant": false,
"disableHelmInstall": false,
"timeoutInSecs": 0,
"isVnfVAppTemplate": false,
"vAppTemplateName": "string",
"storageProfiles": [
"string"
],
"nodepoolName": "string"
}
}
Information about external VLs to connect the VNF to.
Information about internal VLs that are managed by the NFVO.
Information about VIM connections to be used for managing the resources for the VNF instance, or refer to external / externally-managed virtual links. This attribute shall only be supported and may be present if VNF-related resource management in direct mode is applicable.
202 ACCEPTED Shall be returned when the request has been accepted for processing The response body shall be empty. The HTTP response shall include a "Location" HTTP header that contains the URI of the newly-created "Individual VNF LCM operation occurrence" resource corresponding to the operation.
Response Headers
The resource URI of the created VNF instance
Challenge if the corresponding HTTP request has not provided authorization, or error details if the corresponding HTTP request has provided an invalid authorization token.
Version of the API used in the response.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string"
}
A URI reference according to IETF RFC 3986 [5] that identifies the problem type. It is encouraged that the URI provides human-readable documentation for the problem (e.g. using HTML) when dereferenced. When this member is not present, its value is assumed to be "about:blank".
A short, human-readable summary of the problem type. It should not change from occurrence to occurrence of the problem, except for purposes of localization. If type is given and other than "about:blank", this attribute shall also be provided. A short, human-readable summary of the problem type. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization (e.g., using proactive content negotiation; see [RFC7231], Section 3.4).
The HTTP status code for this occurrence of the problem. The HTTP status code ([RFC7231], Section 6) generated by the origin server for this occurrence of the problem.
A human-readable explanation specific to this occurrence of the problem.
A URI reference that identifies the specific occurrence of the problem. It may yield further information if dereferenced.